// cc2serDlg.h : header file
//

#if !defined(AFX_CC2SERDLG_H__67526E9E_DC57_4099_A5D0_92C8EC567FA4__INCLUDED_)
#define AFX_CC2SERDLG_H__67526E9E_DC57_4099_A5D0_92C8EC567FA4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCC2serDlg dialog

class CCC2serDlg : public CDialog
{
// Construction
public:
	void LoadSettings();
	void SaveSettings();
	BOOL m_bStopSending;
	BOOL CloseComPort();
	DWORD m_dwComMask;
	DCB m_dcbComSettings;
	HANDLE m_hComPort;
	BOOL OpenComPort();
	BOOL m_bSending;
	CCC2serDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCC2serDlg)
	enum { IDD = IDD_CC2SER_DIALOG };
	CButton	m_cSend;
	CProgressCtrl	m_cDLProgress;
	CButton	m_cRadioManual;
	CButton	m_cRadioAuto;
	CComboBox	m_cBaudrate;
	CComboBox	m_cStartup;
	CComboBox	m_cBankswitch;
	CComboBox	m_cPort;
	CString	m_sPort;
	CString	m_sBankswitch;
	CString	m_sStartup;
	CString	m_sBinfile;
	CString	m_sBaudrate;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCC2serDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HANDLE m_hStopSending;
	BOOL m_bComPortOpen;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCC2serDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSend();
	afx_msg void OnBrowse();
	afx_msg void OnRadioAuto();
	afx_msg void OnRadioManual();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
};

typedef struct
{
	unsigned char *pBuffer;
	DWORD dwFilesize;
} serStats;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CC2SERDLG_H__67526E9E_DC57_4099_A5D0_92C8EC567FA4__INCLUDED_)
